package com.ym.modulecommon.news.contract

import com.ym.modulecommon.news.entity.AdNewsWebEntity


class AdNewsWebContract {
    interface View {
        fun loadUrl(url: String)

        fun setTextColor(color: String)

        fun setThemeColor(color: String)

        fun updateLoadProgress(progress: Int?, isShow: Boolean)

        fun updateBottomStatus(title: String, progressText: String)

        fun startBottomTitleAnimation()

        fun getData(result: AdNewsWebEntity?)

    }

    interface Presenter {
        fun updateNewsStatus(newsId: Int, type: Int)

        fun getNewsUpdateProgress(newsId: Int, type: Int, url: String)

        fun nextUrl()

        fun onPageStarted(newUrl: String)

        fun shouldOverrideUrlLoading(url: String): Boolean

        fun onPageFinished(url: String)

        fun onScrollChanged()
    }

}